#!/usr/bin/env python
#
# Data Quality Checker also known as DQC
#
# Read the README.md for more detailed information
#
# Barcerlona Supercomputing Center - Centro Nacional de Supercomputacion
#        Earth Sciences Department - Computational Earth Sciences
#     
#     Authors: Ivan Jose Cernicharo Ortiz (ivan.cernicharo@bsc.es)
#             -
#             -
#

import sys
import logging
import os
import subprocess

# check leadtimes or frequency of the variable
# This will be checked using CDO

class temporal_consistency_test:

    def __init__(self,path,type=None):
        self.type = type
        self.path = path
        self.files = self.list_files_folder()

    def list_files_folder(self):
        list_files = []
        
        if os.path.exists(self.path) and os.path.isdir(self.path):
            for root, dirs, files in os.walk(self.path):
                    for f in files:
                        if f.endswith("grib") or f.endswith("nc"):
                            list_files.append(os.path.join(root,f))
            
            return sorted(list_files)
        else:
            raise Exception('\n\tGiven path is not a valid path\n')

    def check(self,args):
        print('WILL BE READY SOON')

    def main(self):
        if self.type != None:

            listfiles = []

            if self.type == 'netcdf':
                listfiles = [item for item in self.files if item.endswith('.nc')]

            if self.type == 'grib':
                listfiles = [item for item in self.files if item.endswith('.grib')]

            if listfiles != []:
                self.check(listfiles)
            else:
                raise Exception('No GRIB files in the given input')

        else:
            sys.exit()

if __name__ == "__main__":
    sys.exit()